<div class="main-content pad">
    <div class="container-fluid">
	    <div class="row">
	        <div class="col-md-12">
	            <div class="card">
	                <div class="card-header card-header-rose card-header-icon">
		                <div class="card-icon"><i class="material-icons">content_copy</i></div>
						<h4 class="card-title"><span>Laporan Syahriah</span></h3	>
					</div>
				    <jhi-alert-error></jhi-alert-error>
				
				    <jhi-alert></jhi-alert>
			
				    <div class="card-body"><div class="toolbar">
			            <form name="searchForm" class="form-inline">
			                <div class="input-group w-40 no-border">
			                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'sisteminformasiakademikApp.tagihan.home.searchName' | translate }}">
			                    <button mat-raised-button class="btn btn-info btn-round btn-just-icon" (click)="search(currentSearch)">
			                        <i class="material-icons">search</i>
			                    </button>
			                    <button mat-raised-button class="btn btn-danger btn-round btn-just-icon" (click)="clear()" *ngIf="currentSearch">
			                      <i class="material-icons">delete</i>
			                        <div class="ripple-container"></div>
			                    </button>
			                </div>
			            </form>
			            <br>
			        </div>
			    <div class="alert alert-warning" *ngIf="reportSyahriah?.length === 0">
			        <span>No report found</span>
			    </div>
			    <div class="material-datatables table-responsive">
			        <table class="table table-bordered table-hover" aria-describedby="page-heading">
			            <thead class="thead-light">
			            <tr>
				            <th scope="col"><span>Siswa</span></th>
				            <th scope="col" class="text-center"><span>Juli</span></th>
				            <th scope="col" class="text-center"><span>Agustus</span></th>
				            <th scope="col" class="text-center"><span>September</span></th>
				            <th scope="col" class="text-center"><span>Oktober</span></th>
				            <th scope="col" class="text-center"><span>November</span></th>
				            <th scope="col" class="text-center"><span>Desember</span></th>
				            <th scope="col" class="text-center"><span>Januari</span></th>
				            <th scope="col" class="text-center"><span>Februari</span></th>
				            <th scope="col" class="text-center"><span>Maret</span></th>
				            <th scope="col" class="text-center"><span>April</span></th>
				            <th scope="col" class="text-center"><span>Mei</span></th>
				            <th scope="col" class="text-center"><span>Juni</span></th>
			            </tr>
			            </thead>
			            
			            <tbody>
			            <tr *ngFor="let report of reportSyahriah">
			                <td>
			                	<div>{{report.namaSiswa}}</div>
			                	<div>{{report.nis}}</div>
			                	<div>{{report.kelas}}-{{report.tahunAjaran}}</div>
			               	</td>
                  			<td width="7%">
			                	<div class="text-center">
				                	<span *ngIf="report.juli === null || report.juli === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.juli !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div>
			                	<div class="text-center">
			                		<span *ngIf="report.juliOn == null">-</span>
				                	<span *ngIf="report.juliOn" style="font-size:0.8vw">
					                	<div>{{report.juliOn | date:'dd/MM/yy'}}</div>
					                	<div>{{report.juliOn | date:'HH:mm'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
				                	<span *ngIf="report.agustus === null || report.agustus === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.agustus !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div>
			                	<div class="text-center">
			                		<span *ngIf="report.agustusOn == null">-</span>
				                	<span *ngIf="report.agustusOn" style="font-size:0.8vw">
					                	<div>{{report.agustusOn | date:'dd/MM/yy'}}</div>
					                	<div>{{report.agustusOn | date:'HH:mm'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
				                	<span *ngIf="report.september === null || report.september === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.september !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div>
			                	<div class="text-center">
			                		<span *ngIf="report.septemberOn == null">-</span>
				                	<span *ngIf="report.septemberOn" style="font-size:0.8vw">
					                	<div>{{report.septemberOn | date:'dd/MM/yy'}}</div>
					                	<div>{{report.septemberOn | date:'HH:mm'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
				                	<span *ngIf="report.oktober === null || report.oktober === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.oktober !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div>
			                	<div class="text-center">
			                		<span *ngIf="report.oktoberOn == null">-</span>
				                	<span *ngIf="report.oktoberOn" style="font-size:0.8vw">
					                	<div>{{report.oktoberOn | date:'dd/MM/yy'}}</div>
					                	<div>{{report.oktoberOn | date:'HH:mm'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
				                	<span *ngIf="report.november === null || report.november === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.november !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div>
			                	<div class="text-center">
			                		<span *ngIf="report.novemberOn == null">-</span>
				                	<span *ngIf="report.novemberOn" style="font-size:0.8vw">
					                	<div>{{report.novemberOn | date:'dd/MM/yy'}}</div>
					                	<div>{{report.novemberOn | date:'HH:mm'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
				                	<span *ngIf="report.desember === null || report.desember === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.desember !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div>
			                	<div class="text-center">
			                		<span *ngIf="report.desemberOn == null">-</span>
				                	<span *ngIf="report.desemberOn" style="font-size:0.8vw">
					                	<div>{{report.desemberOn | date:'dd/MM/yy'}}</div>
					                	<div>{{report.desemberOn | date:'HH:mm'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
		                	<div class="text-center">
			                	<div class="text-center">
				                	<span *ngIf="report.januari === null || report.januari === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.januari !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div>
			                	<div class="text-center">
			                		<span *ngIf="report.januariOn == null">-</span>
				                	<span *ngIf="report.januariOn" style="font-size:0.8vw">
					                	<div>{{report.januariOn | date:'dd/MM/yy'}}</div>
					                	<div>{{report.januariOn | date:'HH:mm'}}</div>
				                	</span>
				                </div>
				            </td>
                  			<td width="7%">
			                	<div class="text-center">
				                	<span *ngIf="report.februari === null || report.februari === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.februari !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div>
			                	<div class="text-center">
			                		<span *ngIf="report.februariOn == null">-</span>
				                	<span *ngIf="report.februariOn" style="font-size:0.8vw">
					                	<div>{{report.februariOn | date:'dd/MM/yy'}}</div>
					                	<div>{{report.februariOn | date:'HH:mm'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
				                	<span *ngIf="report.maret === null || report.maret === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.maret !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div>
			                	<div class="text-center">
			                		<span *ngIf="report.maretOn == null">-</span>
				                	<span *ngIf="report.maretOn" style="font-size:0.8vw">
					                	<div>{{report.maretOn | date:'dd/MM/yy'}}</div>
					                	<div>{{report.maretOn | date:'HH:mm'}}</div>
				                	</span>
				                </div>
				            </td>
                  			<td width="7%">
			                	<div class="text-center">
				                	<span *ngIf="report.april === null || report.april === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.april !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div>
			                	<div class="text-center">
			                		<span *ngIf="report.aprilOn == null">-</span>
				                	<span *ngIf="report.aprilOn" style="font-size:0.8vw">
					                	<div>{{report.aprilOn | date:'dd/MM/yy'}}</div>
					                	<div>{{report.aprilOn | date:'HH:mm'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
				                	<span *ngIf="report.mei === null || report.mei === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.mei !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div>
			                	<div class="text-center">
			                		<span *ngIf="report.meiOn == null">-</span>
				                	<span *ngIf="report.meiOn" style="font-size:0.8vw">
					                	<div>{{report.meiOn | date:'dd/MM/yy'}}</div>
					                	<div>{{report.meiOn | date:'HH:mm'}}</div>
				                	</span>
				                </div>
		                	</td>
                  			<td width="7%">
			                	<div class="text-center">
				                	<span *ngIf="report.juni === null || report.juni === false"><fa-icon [icon]="['fas','times-circle']" style='font-size:20px;color:red' class="justify-content-center"></fa-icon></span>
	                  				<span *ngIf="report.juni !== null"><fa-icon [icon]="['fas','check-circle']" style='font-size:20px;color:green;' class="justify-content-center"></fa-icon></span>
				                </div>
			                	<div class="text-center">
			                		<span *ngIf="report.juniOn == null">-</span>
				                	<span *ngIf="report.juniOn" style="font-size:0.8vw">
					                	<div>{{report.juniOn | date:'dd/MM/yy'}}</div>
					                	<div>{{report.juniOn | date:'HH:mm'}}</div>
				                	</span>
				                </div>
		                	</td>
			            </tr>
			            </tbody>
			        </table>
			    </div>
			    <div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="ngbPaginationPage" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
			        </div>
			    </div>
			    </div>
					</div>
				</div>
			</div>
		</div>
	</div>
